/// Indicates a format's supported video stabilization mode
///
/// * `off`: Indicates that video should not be stabilized
/// * `standard`: Indicates that video should be stabilized using the standard video stabilization algorithm introduced with iOS 5.0. Standard video stabilization has a reduced field of view. Enabling video stabilization may introduce additional latency into the video capture pipeline
/// * `cinematic`: Indicates that video should be stabilized using the cinematic stabilization algorithm for more dramatic results. Cinematic video stabilization has a reduced field of view compared to standard video stabilization. Enabling cinematic video stabilization introduces much more latency into the video capture pipeline than standard video stabilization and consumes significantly more system memory. Use narrow or identical min and max frame durations in conjunction with this mode
/// * `cinematicExtended`: Indicates that the video should be stabilized using the extended cinematic stabilization algorithm. Enabling extended cinematic stabilization introduces longer latency into the video capture pipeline compared to the AVCaptureVideoStabilizationModeCinematic and consumes more memory, but yields improved stability. It is recommended to use identical or similar min and max frame durations in conjunction with this mode (iOS 13.0+)
/// * `auto`: Indicates that the most appropriate video stabilization mode for the device and format should be chosen automatically
enum VideoStabilizationMode {
// 'off' | 'standard' | 'cinematic' | 'cinematic-extended' | 'auto';
  off,
  standard,
  cinematic,
  cinematicExtended,
  auto
}

VideoStabilizationMode videoStabilizationModeFromString(String string) {
  switch (string) {
    case 'off':
      return VideoStabilizationMode.off;
    case 'standard':
      return VideoStabilizationMode.standard;
    case 'cinematic':
      return VideoStabilizationMode.cinematic;
    case 'cinematic-extended':
      return VideoStabilizationMode.cinematicExtended;
    case 'auto':
      return VideoStabilizationMode.auto;
    default:
      return VideoStabilizationMode.off;
  }
}
